Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
strerror.c File Reference
`#include "ruby/missing.h"`
Include dependency graph for strerror.c:

Go to the source code of this file.

## Functions
char * | strerror (int error)

## Variables
int | sys_nerr
char * | sys_errlist []
static char | msg [50]

## Function Documentation

char* strerror | ( | int | error | ) |

Definition at line 11 of file strerror.c.

References msg, and sys_errlist.

Referenced by argf_next_argv(), dln_load(), dln_strerror(), init_libraries_if_necessary(), inspect_errno(), load_file_internal(), Messaging_HandleMessage(), ossl_pkey_new_from_file(), ossl_x509_new_from_file(), rb_bug_errno(), rb_maygvl_fd_fix_cloexec(), rb_sys_warning(), rb_w32_strerror(), sys_warning_1(), and syserr_initialize().

## Variable Documentation

char msg[50]
| static

Definition at line 8 of file strerror.c.

char* sys_errlist[]

Referenced by strerror().

int sys_nerr

Referenced by rb_w32_strerror().